tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation Class Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation:
Collaboration diagram for tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation:

## Public Member Functions

| buffer_operation (const T &e, op_type t)
| buffer_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
T * | elem
task * | ltask
successor_type * | r
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename T, typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>
class tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation

Definition at line 2095 of file flow_graph.h.

## Constructor & Destructor Documentation

## buffer_operation() [1/2]

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::buffer_operation | ( | const T & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 2113 of file flow_graph.h.

: type(char(t))
#if TBB_DEPRECATED_FLOW_NODE_EXTRACTION
, ltask(NULL), elem(const_cast<T*>(&e))
#else
, elem(const_cast<T*>(&e)) , ltask(NULL)
#endif
{}
tbb::flow::interface11::buffer_node::buffer_operation::elem
T * elem
Definition: flow_graph.h:2109
tbb::flow::interface11::buffer_node::buffer_operation::type
char type
Definition: flow_graph.h:2097
tbb::flow::interface11::buffer_node::buffer_operation::ltask
task * ltask
Definition: flow_graph.h:2110

## buffer_operation() [2/2]

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::buffer_operation | ( | op_type | t | ) |

inline

Definition at line 2121 of file flow_graph.h.

: type(char(t)), ltask(NULL) {}

## Member Data Documentation

## elem

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

T* tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::elem

Definition at line 2109 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, Allocator >::internal_pop(), tbb::flow::interface11::buffer_node< T, Allocator >::internal_push(), tbb::flow::interface11::buffer_node< T, Allocator >::internal_reserve(), tbb::flow::interface11::buffer_node< T, Allocator >::try_get(), and tbb::flow::interface11::buffer_node< T, Allocator >::try_reserve().

## ltask

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

task* tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::ltask

Definition at line 2110 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, Allocator >::forward_task(), tbb::flow::interface11::buffer_node< T, Allocator >::grab_forwarding_task(), tbb::flow::interface11::buffer_node< T, Allocator >::handle_operations_impl(), and tbb::flow::interface11::buffer_node< T, Allocator >::internal_forward_task_impl().

## r

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

successor_type* tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::r

Definition at line 2111 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, Allocator >::internal_reg_succ(), tbb::flow::interface11::buffer_node< T, Allocator >::internal_rem_succ(), tbb::flow::interface11::buffer_node< T, Allocator >::register_successor(), and tbb::flow::interface11::buffer_node< T, Allocator >::remove_successor().

## type

template<typename T , typename Allocator = __TBB_DEFAULT_NODE_ALLOCATOR(T)>

char tbb::flow::interface11::buffer_node< T, Allocator >::buffer_operation::type

Definition at line 2097 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, Allocator >::handle_operations_impl().

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.